jdbcParameterMetaData (HSQLDB 1.8.0.10 API)
Keywords: org.hsqldb.jdbc.jdbcParameterMetaData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class jdbcParameterMetaData

    java.lang.Object
      org.hsqldb.jdbc.jdbcParameterMetaData

All Implemented Interfaces:
  java.sql.ParameterMetaData

public class jdbcParameterMetaData
extends java.lang.Object
implements java.sql.ParameterMetaData

An object that can be used to get information about the types and properties of the parameters in a PreparedStatement object.

Since:
  JDK 1.4, HSQLDB 1.7.2
Author:
  boucherb@users

Field Summary

Fields inherited from interface java.sql.ParameterMetaData
`parameterModeIn, parameterModeInOut, parameterModeOut, parameterModeUnknown, parameterNoNulls, parameterNullable, parameterNullableUnknown`

Method Summary
`java.lang.String` | `getParameterClassName(int param)` Retrieves the fully-qualified name of the Java class whose instances should be passed to the method PreparedStatement.setObject.
`int` | `getParameterCount()` Retrieves the number of parameters in the PreparedStatement object for which this ParameterMetaData object provides information.
`int` | `getParameterMode(int param)` Retrieves the designated parameter's mode.
`int` | `getParameterType(int param)` Retrieves the designated parameter's SQL type.
`java.lang.String` | `getParameterTypeName(int param)` Retrieves the designated parameter's database-specific type name.
`int` | `getPrecision(int param)` Retrieves the designated parameter's number of decimal digits.
`int` | `getScale(int param)` Retrieves the designated parameter's number of digits to right of the decimal point.
`int` | `isNullable(int param)` Retrieves whether null values are allowed in the designated parameter.
`boolean` | `isSigned(int param)` Retrieves whether values for the designated parameter can be signed numbers.
`java.lang.String` | `toString()` Retrieves a String repsentation of this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getParameterClassName

    public java.lang.String getParameterClassName(int param)
                                           throws java.sql.SQLException

  Retrieves the fully-qualified name of the Java class whose instances should be passed to the method PreparedStatement.setObject.

  Specified by:
    `getParameterClassName` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the fully-qualified name of the class in the Java programming language that would be used by the method PreparedStatement.setObject to set the value in the specified parameter. This is the class name used for custom mapping.
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### getParameterCount

    public int getParameterCount()
                          throws java.sql.SQLException

  Retrieves the number of parameters in the PreparedStatement object for which this ParameterMetaData object provides information.

  Specified by:
    `getParameterCount` in interface `java.sql.ParameterMetaData`
  Returns:
    the number of parameters
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### getParameterMode

    public int getParameterMode(int param)
                         throws java.sql.SQLException

  Retrieves the designated parameter's mode.

  Specified by:
    `getParameterMode` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    mode of the parameter; one of ParameterMetaData.parameterModeIn, ParameterMetaData.parameterModeOut, ParameterMetaData.parameterModeInOut, ParameterMetaData.parameterModeUnknown
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### getParameterType

    public int getParameterType(int param)
                         throws java.sql.SQLException

  Retrieves the designated parameter's SQL type.

  Specified by:
    `getParameterType` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    SQL type from java.sql.Types
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2
  See Also:
    `Types`

### getParameterTypeName

    public java.lang.String getParameterTypeName(int param)
                                          throws java.sql.SQLException

  Retrieves the designated parameter's database-specific type name.

  Specified by:
    `getParameterTypeName` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    type the name used by the database. If the parameter type is a user-defined type, then a fully-qualified type name is returned.
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### getPrecision

    public int getPrecision(int param)
                     throws java.sql.SQLException

  Retrieves the designated parameter's number of decimal digits.

  Specified by:
    `getPrecision` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    precision
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### getScale

    public int getScale(int param)
                 throws java.sql.SQLException

  Retrieves the designated parameter's number of digits to right of the decimal point.

  Specified by:
    `getScale` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    scale
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### isNullable

    public int isNullable(int param)
                   throws java.sql.SQLException

  Retrieves whether null values are allowed in the designated parameter.

  Specified by:
    `isNullable` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    the nullability status of the given parameter; one of ParameterMetaData.parameterNoNulls, ParameterMetaData.parameterNullable or ParameterMetaData.parameterNullableUnknown
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### isSigned

    public boolean isSigned(int param)
                     throws java.sql.SQLException

  Retrieves whether values for the designated parameter can be signed numbers.

  Specified by:
    `isSigned` in interface `java.sql.ParameterMetaData`
  Parameters:
    `param` - the first parameter is 1, the second is 2, ...
  Returns:
    true if so; false otherwise
  Throws:
    `java.sql.SQLException` - if a database access error occurs
  Since:
    JDK 1.4, HSQLDB 1.7.2

### toString

    public java.lang.String toString()

  Retrieves a String repsentation of this object.

  Returns:
    a String repsentation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2005 HSQL Development Group. All Rights Reserved.